/*
 *  PSException.h
 *  Exception Codes for MIPS R3000 Processoor
 */

#ifndef included_PSException
#define included_PSException

typedef enum
{
	PSExceptionINT = 0,
	PSExceptionMOD,
	PSExceptionTLBL,
	PSExceptionTLBS,
	PSExceptionADEL,
	PSExceptionADES,
	PSExceptionIBE,
	PSExceptionDBE,
	PSExceptionSYS,
	PSExceptionBP,
	PSExceptionRI,
	PSExceptionCPU,
	PSExceptionOVF
}	PSException;

typedef enum
{
	PSInterruptAll = -1,
	
	PSInterruptVSync = 0,
	PSInterruptGPU,
	PSInterruptCDROM,
	PSInterruptDMA,
	PSInterruptRTC0,
	PSInterruptRTC1,
	PSInterruptRTC2,
	PSInterruptSIO0,
	PSInterruptSIO1,
	PSInterruptSPU,
	PSInterruptPIO
}	PSInterrupt;

typedef enum
{
	PSDMAMDECIn = 0,
	PSDMAMDECOut,
	PSDMAGPU,
	PSDMACDROM,
	PSDMASPU,
	PSDMAPIO,
	PSDMAOrderingTable
}	PSDMA;

#endif