/*
 *  PSHWReg.h
 *
 *  Created by 2510 on Sat May 10 2003.
 *  Copyright (c) 2003 by 2510. All rights reserved.
 *
 */

enum
{
	PSHWRegSIO0Data				= 0x1040,
	PSHWRegSIO0Status			= 0x1044,
	PSHWRegSIO0Mode				= 0x1048,
	PSHWRegSIO0Control			= 0x104A,
	PSHWRegSIO0Baud				= 0x104E,
	
	PSHWRegInterruptStatus		= 0x1070,
	PSHWRegInterruptMask		= 0x1074,
	
	PSHWRegDMAMDECInAddress		= 0x1080,
	PSHWRegDMAMDECInSize		= 0x1084,
	PSHWRegDMAMDECInControl		= 0x1088,
	PSHWRegDMAMDECOutAddress	= 0x1090,
	PSHWRegDMAMDECOutSize		= 0x1094,
	PSHWRegDMAMDECOutControl	= 0x1098,
	PSHWRegDMAGPUAddress		= 0x10A0,
	PSHWRegDMAGPUSize			= 0x10A4,
	PSHWRegDMAGPUControl		= 0x10A8,
	PSHWRegDMACDROMAddress		= 0x10B0,
	PSHWRegDMACDROMSize			= 0x10B4,
	PSHWRegDMACDROMControl		= 0x10B8,
	PSHWRegDMASPUAddress		= 0x10C0,
	PSHWRegDMASPUSize			= 0x10C4,
	PSHWRegDMASPUControl		= 0x10C8,
	PSHWRegDMAPIOAddress		= 0x10D0,
	PSHWRegDMAPIOSize			= 0x10D4,
	PSHWRegDMAPIOControl		= 0x10D8,
	PSHWRegDMAOTCAddress		= 0x10E0,
	PSHWRegDMAOTCSize			= 0x10E4,
	PSHWRegDMAOTCControl		= 0x10E8,
	
	PSHWRegDMAPrimaryControl	= 0x10F0,
	PSHWRegDMAInterruptControl	= 0x10F4,
	
	PSHWRegRTC0Count			= 0x1100,
	PSHWRegRTC0Mode				= 0x1104,
	PSHWRegRTC0Target			= 0x1108,
	PSHWRegRTC1Count			= 0x1110,
	PSHWRegRTC1Mode				= 0x1114,
	PSHWRegRTC1Target			= 0x1118,
	PSHWRegRTC2Count			= 0x1120,
	PSHWRegRTC2Mode				= 0x1124,
	PSHWRegRTC2Target			= 0x1128,
	
	PSHWRegCDROMMode			= 0x1800,
	PSHWRegCDROMControl			= 0x1801,
	PSHWRegCDROMParam			= 0x1802,
	PSHWRegCDROMClear			= 0x1803,
	
	PSHWRegGPU0					= 0x1810,
	PSHWRegGPU1					= 0x1814,
	PSHWRegMDEC0				= 0x1820,
	PSHWRegMDEC1				= 0x1824,
	
	PSHWRegSPUMainVolumeLeft	= 0x1D80,
	PSHWRegSPUMainVolumeRight	= 0x1D82,
	PSHWRegSPUReverbVolumeLeft	= 0x1D84,
	PSHWRegSPUReverbVolumeRight	= 0x1D86,
	PSHWRegSPUKeyOn1			= 0x1D88,
	PSHWRegSPUKeyOn2			= 0x1D8A,
	PSHWRegSPUKeyOff1			= 0x1D8C,
	PSHWRegSPUKeyOff2			= 0x1D8E,
	PSHWRegSPUPitchMod1			= 0x1D90,
	PSHWRegSPUPitchMod2			= 0x1D92,
	PSHWRegSPUNoise1			= 0x1D94,
	PSHWRegSPUNoise2			= 0x1D96,
	PSHWRegSPUReverb1			= 0x1D98,
	PSHWRegSPUReverb2			= 0x1D9A,
	PSHWRegSPUChannelOn1		= 0x1D9C,
	PSHWRegSPUChannelOn2		= 0x1D9E,
	PSHWRegSPUReverbWork		= 0x1DA2,
	PSHWRegSPUIRQAddr			= 0x1DA4,
	PSHWRegSPUAddr				= 0x1DA6,
	PSHWRegSPUData				= 0x1DA8,
	PSHWRegSPUControl			= 0x1DAA,
	PSHWRegSPUStatus			= 0x1DAE
};